
TYPO3.Neos - Bug # 54210

Status: Resolved Priority: Should have
Author: Thomas Hempel Category: UI
Created: 2013-12-05 Assigned To:
Updated: 2013-12-22 Due date:
Subject: Dateselector goes forward but not backwards
Description

I know that Neos is for the future but it would be cool if the dateselector in the inspector could go back in time. ;-)

Seriously, only the arrow to the right works. The arrow to the left (go back in time) also goes forward.

Associated revisions
Revision 147da853 - 2013-12-22 11:05 - Christian Müller

[BUGFIX] Dateselector should do "previous" too

The dateselector incorrectly only moves forward
regardless of the arrow clicked, it should go back on the left
arrow and forward on the right arrow.

Credits for finding the broken part go to Thomas Hempel. Thanks!

Change-Id: If211b95bf87f074ed84851a891f71d1d7eff3156
Fixes: #54210
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/26539
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal

Revision 25e9112b - 2013-12-22 11:11 - Christian Müller

[BUGFIX] Dateselector should do "previous" too

The dateselector incorrectly only moves forward
regardless of the arrow clicked, it should go back on the left
arrow and forward on the right arrow.

Credits for finding the broken part go to Thomas Hempel. Thanks!

Change-Id: If211b95bf87f074ed84851a891f71d1d7eff3156
Fixes: #54210
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/26540
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller
History
#1 - 2013-12-22 09:34 - Thomas Hempel

There is an easy fix for this but I can't provide a patch

In the ContentModule-built.js

At position 378,500557-499338

There you'll find something like

r[0].className=="neos"?-1:1

This has to be

r[0].className="neos-prev"?-1:1

There is also another version in the file query-with-dependencies.js. In line 36332 (seriously?) you'll find

var dir = DPGlobal.modes[this.viewMode].navStep * (target[0].className == 'prev' ? -1 : 1);

Should be

var dir = DPGlobal.modes[this.viewMode].navStep * (target[0].className == 'neos-prev' ? -1 : 1);

I have no idea how all this works together and only if I changed it the "built" file, it has an effect.

Can someone please merge this asap?

Thanks and Greets,
Thomas

#2 - 2013-12-22 10:07 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26539

#3 - 2013-12-22 10:16 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26539

#4 - 2013-12-22 10:56 - Gerrit Code Review
Patch set 1 for branch 1.0 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26540

#5 - 2013-12-22 10:58 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26539

#6 - 2013-12-22 10:58 - Gerrit Code Review

Patch set 2 for branch 1.0 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26540

#7 - 2013-12-22 11:05 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26539

#8 - 2013-12-22 11:06 - Gerrit Code Review

Patch set 3 for branch 1.0 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26540

#9 - 2013-12-22 11:36 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:25e9112b9e1841df3dc263dd50e1bf40aea4b7d8.
